local HeadCount = LibStub("AceAddon-3.0"):GetAddon("HeadCount2")

do
	local Boss = {
		name = UNKNOWN,
		zone = UNKNOWN,
		runtime = 0,
		players = {},
		diffictuly = 1,
	}
	--
	--	Create a boss form teh provided table
	--
	function Boss:Init(args)
		self.name = args["name"]
		self.zone = args["zone"]
		self.runtime = args["runtime"]
		self.players = args["players"]
		self.difficulty = args["difficulty"]
	end
	--
	--	Pack up the Boss data for transit
	--
	function Boss:Pack()
		local s = { }
		s["name"] = self.name
		s["zone"] = self.zone
		s["runtime"] = self.runtime
		s["players"] = self.players
		s["difficulty"] = self.difficulty
		return s
	end

	-- Create the meta data
	HeadCount.Boss = {}
	local Boss_MT = {__index = Boss}
	function HeadCount.Boss:New(args)
		local boss = {}
		setmetatable(boss,Boss_MT)
		boss:Init(args)
		return boss
	end
end