local HeadCount = LibStub("AceAddon-3.0"):GetAddon("HeadCount2")

do
	local TimePair = {
		start = 0,
		stop = 0,
		note = "",
	}
	function TimePair:Init(start,stop,note)
		self.start = start
		self.stop = stop
		self.note = note
	end
	function TimePair:Pack()
		local s = {}
		s["start"] = self.start
		s["stop"] = self.stop
		s["note"] = self.note
		return s
	end
	function TimePair:Unpack(data)
		self.start = data["start"]
		self.stop = data["stop"]
		self.note = data["note"]
	end
	HeadCount.TimePair = {}
	local TimePair_MT = {__index = TimePair}
	function HeadCount.TimePair:New(start,stop,note)
		local tp = {}
		setmetatable(tp,TimePair_MT)
		if type(start) == "table" then
			tp:Unpack(start)
		else
			tp:Init(stop,start,note)
		end
		return tp
	end	
end